Subject: Ethernet Encapsulation

From: "Ramalingam, Swaminathan (Swaminathan)" <[email-masked]>
Date: Wed, 31 Mar 2004 11:12:40 +0530

I have a query on the section 3.1.2 of
draft-ietf-pwe3-ethernet-encap-05.txt, it reads,

"In both modes, non-service-delimiting tags are passed transparently across
the PW as part of the payload"

Is this mean, PW is signalled for that VLAN but VLAN tag is not removed from
the frame, which is going to be MPLS data. I am here talking about
non-service-delimiting tag alone. so the frame should look like this

  SP-DA - SP-SA - Type/Length - MPLS label1- MPLS label2 - DA - SA -
*802.1Q* tag - type/length .....

If the PW is singalled especially for an VLAN, why should we carry 802.1 Q
in the MPLS data?. This looks like an overhead of 4 bytes for each frame. Is
my understanding correct?.

Thanks,
wami